<ion-view view-title="Minha Conta" cache-view="false">
    <ion-nav-buttons side="right">
        <button class="button icon-right feather icon-power button-clear header-btn" ng-click="confirmLogout();"></button>
    </ion-nav-buttons>
    <ion-content class="myAccount">
        <div class="row photo-bg-account">
            <div class="col photo-account">
                <div class="profile-account" style="background: url('{{selprofilepic}}');background-position: center;background-size: cover;"></div>
                <!-- <img class="profile-account" ng-src="{{selprofilepic | randomSrc}}" fallback-src="img/emptyavatar.jpg"/> -->
                <label class="fileContainer">
                    <button ng-click="updateProfilePicture();">
                        <i class="icon-camera"></i> Alterar Foto
                    </button>
                </label>


            </div>
            <img src="img/bg-curva-divisor.png" class="bg-curve" />
        </div>
       <div class="row form-data">
            <div class="col col-90 center">
                <form name="editProfileForm"  ng-submit="updateprofile(editProfileForm)">
                    <ion-list class="form">
                        <p class="title-account">Dados Pessoais</p>
                        <ion-item class="item item-input">
                            <input ng-model="data.name" type="text" required name="name" fp-floating-label-input>
                            <span class="md-highlight"></span>
                            <span class="md-bar"></span>
                            <label class="ng-binding input-label" >Seu Nome</label>
                            <div class="error-container" ng-show="editProfileForm.name.$touched || editProfileForm.$submitted" ng-messages="editProfileForm.name.$error">
                                <div ng-messages-include="templates/error-list.html"></div>
                            </div>
                        </ion-item>
                        <ion-item class="item item-input">
                            <input ng-model="data.cpf" type="text" required name="cpf" fp-floating-label-input>
                            <span class="md-highlight"></span>
                            <span class="md-bar"></span>
                            <label class="ng-binding input-label" >CPF</label>
                            <div class="error-container" ng-show="editProfileForm.cpf.$touched || editProfileForm.$submitted" ng-messages="editProfileForm.cpf.$error">
                                <div ng-messages-include="templates/error-list.html"></div>
                            </div>
                        </ion-item>
                        <div class="passwordItem" ng-show="!profiledata.facebook_id">
                            <div class="separated"></div>
                            <p class="title-account">Alterar Senha</p>
                            <ion-item class="item item-input">
                                <input ng-model="data.password" type="password" name="password" fp-floating-label-input ng-required="data.password || data.new_password || data.new_password_confirm">
                                <span class="md-highlight"></span>
                                <span class="md-bar"></span>
                                <label class="ng-binding input-label" >Senha Atual</label>
                                <div class="error-container" ng-show="editProfileForm.password.$touched || editProfileForm.$submitted" ng-messages="editProfileForm.password.$error">
                                    <div ng-messages-include="templates/error-list.html"></div>
                                </div>
                            </ion-item>
                             <ion-item class="item item-input">
                                <input ng-model="data.new_password" type="password" name="new_password" id="new_pass" fp-floating-label-input ng-required="data.password || data.new_password || data.new_password_confirm">
                                <span class="md-highlight"></span>
                                <span class="md-bar"></span>
                                <label class="ng-binding input-label" >Nova Senha</label>
                                 <div class="error-container" ng-show="editProfileForm.new_password.$touched || editProfileForm.$submitted" ng-messages="editProfileForm.new_password.$error">
                                     <div ng-messages-include="templates/error-list.html"></div>
                                 </div>
                            </ion-item>
                             <ion-item class="item item-input">
                                <input ng-model="data.new_password_confirm" type="password" name="new_password_confirm" fp-floating-label-input  ng-required="data.password || data.new_password || data.new_password_confirm" fp-compare-to="data.new_password">
                                <span class="md-highlight"></span>
                                <span class="md-bar"></span>
                                <label class="ng-binding input-label" >Confirmar Nova Senha</label>
                                 <div class="error-container" ng-show="editProfileForm.new_password_confirm.$touched || editProfileForm.$submitted" ng-messages="editProfileForm.new_password_confirm.$error">
                                     <div ng-messages-include="templates/error-list.html"></div>
                                 </div>
                            </ion-item>
                        </div>
                        <button class="button button-gradient-action" type="submit">
                            SALVAR
                        </button>
                    </ion-list>
                </form>
            </div>
        </div>
    </ion-content>
</ion-view>
